## javax.faces.event
Class PhaseEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.PhaseEvent

All Implemented Interfaces:
  java.io.Serializable

public class PhaseEvent
extends java.util.EventObject

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PhaseEvent(FacesContext facesContext, PhaseId phaseId, Lifecycle lifecycle)`

Method Summary
`FacesContext` `getFacesContext()`
`PhaseId` `getPhaseId()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhaseEvent

    public PhaseEvent(FacesContext facesContext,
                      PhaseId phaseId,
                      Lifecycle lifecycle)

Method Detail

### getFacesContext

    public FacesContext getFacesContext()

### getPhaseId

    public PhaseId getPhaseId()